Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 14712)
@@ -153,4 +153,8 @@
       <Private>False</Private>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
+      <Project>{102bc7d3-0ef9-439c-8f6d-96ff0fdb8e1b}</Project>
+      <Name>HeuristicLab.Persistence-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IDataDescriptor.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IDataDescriptor.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IDataDescriptor.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Problems.Instances {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("0B3EC184-88F0-44C2-9840-F67BFC0E0BF3")]
   public interface IDataDescriptor {
     string Name { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceConsumer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceConsumer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceConsumer.cs	(revision 14712)
@@ -23,6 +23,8 @@
 
 namespace HeuristicLab.Problems.Instances {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("13911120-9C07-40C7-9613-004995979C0C")]
   public interface IProblemInstanceConsumer : IContent { }
 
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("20F82CD6-CDC2-4B67-B356-0DB32B6B2319")]
   public interface IProblemInstanceConsumer<in TData> : IProblemInstanceConsumer {
     /// <summary>
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceExporter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceExporter.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceExporter.cs	(revision 14712)
@@ -21,6 +21,8 @@
 
 namespace HeuristicLab.Problems.Instances {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("1811B4DD-289F-4213-A4B3-81774674CB77")]
   public interface IProblemInstanceExporter { }
 
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("B6EB7E8B-C0AB-45C4-AA31-E4FD1AEA92BA")]
   public interface IProblemInstanceExporter<TData> : IProblemInstanceExporter {
     TData Export();
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceProvider.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceProvider.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/IProblemInstanceProvider.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Problems.Instances {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("62E04360-3958-4607-8B6A-BFF2D4AC51E7")]
   public interface IProblemInstanceProvider : IContent {
     string Name { get; }
@@ -32,4 +33,5 @@
   }
 
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("0CF4AC16-2630-423C-BE27-E786A1F7DA98")]
   public interface IProblemInstanceProvider<TData> : IProblemInstanceProvider {
     IEnumerable<IDataDescriptor> GetDataDescriptors();
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Plugin.cs.frame
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Plugin.cs.frame	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Plugin.cs.frame	(revision 14712)
@@ -26,4 +26,5 @@
   [PluginFile("HeuristicLab.Problems.Instances-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
   public class HeuristicLabProblemsInstancesPlugin : PluginBase {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Types/OPData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Types/OPData.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Types/OPData.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Types/VRP/IVRPData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Types/VRP/IVRPData.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Instances/3.3/Types/VRP/IVRPData.cs	(revision 14712)
@@ -25,4 +25,5 @@
   /// Interface for VRP data
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("689A23CA-32DF-4AEB-B9D1-8A6157590625")]
   public interface IVRPData {
     string Name { get; set; }
